com.dlsc.flexgantt.model.dateline

## Enum DatelineModelException.ID

- java.lang.Object
- - java.lang.Enum<DatelineModelException.ID>
  - - com.dlsc.flexgantt.model.dateline.DatelineModelException.ID

- All Implemented Interfaces:
    Serializable, Comparable<DatelineModelException.ID>
  Enclosing class:
    DatelineModelException

      public static enum DatelineModelException.ID
      extends Enum<DatelineModelException.ID>

  An enumerater for distinguishing between different types of dateline model veto exceptions.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAXIMUM_WIDTH_EXCEEDED` The maximum width of the dateline has been exceeded.
    `REQUESTED_TIME_SPAN_UNSATISFIED` The requested visible time span can not be fulfilled by the dateline model.
    `VETO_EXCEPTION` The requested change was vetoed by one of the model listeners.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatelineModelException.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DatelineModelException.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAXIMUM_WIDTH_EXCEEDED

          public static final DatelineModelException.ID MAXIMUM_WIDTH_EXCEEDED

      The maximum width of the dateline has been exceeded. The maximum width of the dateline is equal to `Integer.MAX_VALUE`. The dateline will then use the maximum value and some parts of the total time span represented by the dateline model will be cut off and become invisible / unreachable.
      Since:
        1.0

    - #### REQUESTED_TIME_SPAN_UNSATISFIED

          public static final DatelineModelException.ID REQUESTED_TIME_SPAN_UNSATISFIED

      The requested visible time span can not be fulfilled by the dateline model.
      Since:
        1.0

    - #### VETO_EXCEPTION

          public static final DatelineModelException.ID VETO_EXCEPTION

      The requested change was vetoed by one of the model listeners.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static DatelineModelException.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatelineModelException.ID c : DatelineModelException.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatelineModelException.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.